package com.yuanta.smartnet.sample;

import com.yuanta.smartnet.sample.view.SampleBaseView;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.widget.FrameLayout;

public class SampleFrameView
extends FrameLayout
{
	private ProgressDialog		m_dlgProgress;
	
	public SampleFrameView(Context context)
	{
		super(context);

	}

	public void setView(SampleBaseView view)
	{
		removeAllViews();
		
		addView(view, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
	}
	
	public void releaseView()
	{
		removeAllViews();

		hideProgress();
	}
	
	public void showProgress(String strText)
	{
		if(m_dlgProgress == null)
		{
			m_dlgProgress = new ProgressDialog(getContext());
			m_dlgProgress.setProgressStyle(ProgressDialog.STYLE_SPINNER);
			m_dlgProgress.setIndeterminate(true);
			m_dlgProgress.setOnDismissListener(new DialogInterface.OnDismissListener()
			{
				@Override
				public void onDismiss(DialogInterface arg0)
				{
					m_dlgProgress = null;
				}
			});
		}

		m_dlgProgress.setMessage(strText);

		if(!m_dlgProgress.isShowing())
			m_dlgProgress.show();
	}
	
	public void hideProgress()
	{
		if(m_dlgProgress != null)
		{
			if(m_dlgProgress.isShowing())
				m_dlgProgress.dismiss();
			
			m_dlgProgress = null;
		}
	}
}
