package com.yuanta.smartnet.sample.view;

import android.content.Context;
import android.graphics.Color;
import android.view.Gravity;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;

import com.yuanta.smartnet.sample.SampleActivity;
import com.yuanta.smartnet.sample.view.util.SampleUtil;

/**
 * Created by hwannis on 2018. 2. 26..
 */

public class SampleHomeView extends SampleBaseView implements View.OnClickListener{

    public interface ID
    {
        int     CTRL_ID_DOMESTIC = 1000;
    }

    private SampleDataView		m_viewData = null;

    // 메인
    private SampleActivity		m_actMain = null;

    // 레이아웃 구성
    private int					TITLE_WIDTH = 100;
    private int					INPUT_WIDTH = 200;
    private int					PADDING_H = 10;
    private int					PADDING_V = 10;

    public SampleHomeView(Context context) {
        super(context);

        setBackgroundColor(Color.WHITE);

        TITLE_WIDTH = (int) SampleUtil.dipToPixels(context, 80);
        INPUT_WIDTH = (int) SampleUtil.dipToPixels(context, 200);
        PADDING_H = (int) SampleUtil.dipToPixels(context, 10);
        PADDING_V = (int) SampleUtil.dipToPixels(context, 10);
    }

    //화면 초기화
    public void initView( SampleActivity actMain)
    {
        m_actMain = actMain;

        //ScrollView viewScroll = new ScrollView(getContext());


        int nInputPaddingV = (int)SampleUtil.dipToPixels(getContext(), 10);	// 입력항목 세로 패딩
        int nButtonWidth = (int)SampleUtil.dipToPixels(getContext(), 100);	// 버튼 너비
        int nButtonHeight = (int)SampleUtil.dipToPixels(getContext(), 50);	// 버튼 높이

        LinearLayout layoutFrame = new LinearLayout(getContext());
        layoutFrame.setOrientation(LinearLayout.VERTICAL);


        // 국내주식버튼
        Button goDomesticView = makeCtrlButton(ID.CTRL_ID_DOMESTIC, "국내주식");
        goDomesticView.setOnClickListener(this);

        LinearLayout layoutbtn = new LinearLayout(getContext());
        layoutbtn.setOrientation(LinearLayout.HORIZONTAL);
        layoutbtn.setPadding(0, nInputPaddingV, 0, nInputPaddingV);
        layoutbtn.addView(goDomesticView, new LinearLayout.LayoutParams(nButtonWidth, nButtonHeight));

        LinearLayout.LayoutParams paramButtons = new LinearLayout.LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT);
        paramButtons.gravity = Gravity.CENTER_HORIZONTAL;
        layoutFrame.addView(layoutbtn, paramButtons);

        addView(layoutFrame, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));

        //viewScroll.addView(layoutFrame, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.WRAP_CONTENT));

        //addView(viewScroll, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));



    }

    public void releaseView()
    {
        removeAllViews();


    }


    @Override
    public void onClick(View view)
    {
        int nId = view.getId();

        m_actMain.setM_isEnableBackProcess(true);

        if(nId == ID.CTRL_ID_DOMESTIC)
        {
            m_actMain.showDataView();

            // 국내주식주문

        }
    }
}
