package com.yuanta.smartnet.sample.view;

import com.yuanta.smartnet.sample.R;
import com.yuanta.smartnet.sample.view.util.SampleUtil;

import android.app.Activity;
import android.content.Context;
import android.util.TypedValue;
import android.view.Gravity;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;

// 초기화면 뷰
public class SampleIntroView
extends SampleBaseView
{
	private Activity	m_activity;

	private TextView	m_textInfo;

	public SampleIntroView(Context context)
	{
		super(context);

	}
	
	public void setActivity(Activity act)
	{
		m_activity = act;
	}
	
	public Activity getActivity()
	{
		return m_activity;
	}
	
	//초기화
	public void initView()
	{	
		
		//타이틀
		TextView viewTitle = makeTextView("Net API sample");
		viewTitle.setTextSize(TypedValue.COMPLEX_UNIT_DIP, 40);
		
		addView(viewTitle, new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT, Gravity.CENTER));
		
		ImageView viewComp = new ImageView(getContext());
		viewComp.setImageResource(R.drawable.intro_company);
		
		LayoutParams paramComp = new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT, Gravity.RIGHT | Gravity.TOP);
		paramComp.topMargin = paramComp.rightMargin = (int)SampleUtil.dipToPixels(getContext(), 10);
		addView(viewComp, paramComp);
		
		ImageView viewCopy = new ImageView(getContext());
		viewCopy.setImageResource(R.drawable.intro_copyright);
		
		LayoutParams paramCopy = new LayoutParams(LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT, Gravity.CENTER_HORIZONTAL | Gravity.BOTTOM);
		paramCopy.bottomMargin = (int)SampleUtil.dipToPixels(getContext(), 10);
		addView(viewCopy, paramCopy);
	}
	
	
	public void releaseView()
	{
		removeAllViews();

		m_textInfo = null;
	}
	

}
